Xenodia Docs
API ReferenceGenerated Reference

Bind owner wallet with a delegation

Agent bearer token, owner-issued delegation and a fresh owner wallet signature are required.

POST
/v1/me/owner-wallet/bind

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.xenodia.xyz/v1/me/owner-wallet/bind" \  -H "Content-Type: application/json" \  -d '{    "delegation_token": "string",    "challenge_id": "string",    "signature": "string"  }'
{
  "owner_account": {
    "id": 0,
    "account_type": "string",
    "wallet_address": "string",
    "status": "string"
  }
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}